import type { Redis } from 'ioredis';
import type { Store } from './session';
export default class RedisStore implements Store {
    private client;
    constructor(redisClient: Redis);
    set(key: string, value: any, ttl?: number): Promise<void>;
    get(key: string): Promise<unknown>;
    update(key: string, value: any, ttl?: number): Promise<void>;
    delete(key: string): Promise<void>;
    clear(): Promise<void>;
    keys(): Promise<any>;
}
