export default class RedisStore {
    client;
    constructor(redisClient) {
        this.client = redisClient;
    }
    async set(key, value, ttl) {
        if (ttl) {
            await this.client.set(key, JSON.stringify(value), 'EX', ttl);
        }
        else {
            await this.client.set(key, JSON.stringify(value));
        }
    }
    async get(key) {
        const data = await this.client.get(key);
        if (data) {
            return JSON.parse(data);
        }
        return null;
    }
    async update(key, value, ttl) {
        await this.set(key, value, ttl);
    }
    async delete(key) {
        await this.client.del(key);
    }
    async clear() {
        await this.client.flushdb();
    }
    async keys() {
        return await this.client.keys('*');
    }
}
